[pm-qa,05/10] test the affinity does not work on an offline cpu

Message ID 1317629915-31767-5-git-send-email-daniel.lezcano@linaro.org
State Accepted
Headers show

Commit Message

Daniel Lezcano Oct. 3, 2011, 8:18 a.m.
Signed-off-by: Daniel Lezcano <daniel.lezcano@linaro.org
---
 cpuhotplug/cpuhotplug_03.sh  |   51 ++++++++++++++++++++++++++++++++++++++++++
 cpuhotplug/cpuhotplug_03.txt |    1 +
 2 files changed, 52 insertions(+), 0 deletions(-)
 create mode 100644 cpuhotplug/cpuhotplug_03.sh
 create mode 100644 cpuhotplug/cpuhotplug_03.txt

Patch

diff --git a/cpuhotplug/cpuhotplug_03.sh b/cpuhotplug/cpuhotplug_03.sh
new file mode 100644
index 0000000..489706b
--- /dev/null
+++ b/cpuhotplug/cpuhotplug_03.sh
@@ -0,0 +1,51 @@ 
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on ARM
+#
+# Copyright (C) 2011, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+#
+# Contributors:
+#     Daniel Lezcano <daniel.lezcano@linaro.org> (IBM Corporation)
+#       - initial API and implementation
+#
+
+# URL : https://wiki.linaro.org/WorkingGroups/PowerManagement/Doc/QA/Scripts#cpuhotplug_03
+
+source ../include/functions.sh
+
+check_affinity_fails() {
+    local cpu=$1
+    local cpuid=${cpu:3}
+    local dirpath=$CPU_PATH/$1
+    local ret=
+
+    if [ "$cpu" == "cpu0" ]; then
+	return 0
+    fi
+
+    set_offline $cpu
+
+    taskset -c $cpuid /bin/true
+    ret=$?
+    check "setting affinity on cpu fails" "test $ret -ne 0"
+
+    set_online $cpu
+
+    return 0
+}
+
+for_each_cpu check_affinity_fails
\ No newline at end of file
diff --git a/cpuhotplug/cpuhotplug_03.txt b/cpuhotplug/cpuhotplug_03.txt
new file mode 100644
index 0000000..09eb1d9
--- /dev/null
+++ b/cpuhotplug/cpuhotplug_03.txt
@@ -0,0 +1 @@ 
+test the affinity does not work on an offline cpu